Subject: bug#74857: 30.0.92; Gnus nnatom: url protocol

From: Stefan Kangas <[email-masked]>
Date: Sun, 22 Dec 2024 01:29:42 +0000

Daniel Semyonov via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> This is a known issue (also noted in the manual), though the message
> returned should be more descriptive.
>
> The returned message is emitted by Gnus when it fails to get info for
> the server from the backend, and should use the value of
> 'backend-status-string' ('nnatom-status-string' in this case); this
> works on a normal session on my end (returning a message set in
> 'nnatom--read-feed'), but fails with emacs -Q, also returning "Couldn't
> request list: nil".
> I half suspect this is a bug with Gnus trying to read the status string
> of the wrong server (and not a bug in nnatom), but I'll look into it.
>
> As for why it isn't allowed in the first place, Gnus unfortunately
> breaks when ":" is used in server addresses due to regular expressions
> used in various internal functions, though I don't remember the details.

Does nnatom use http or https by default in these situations?